//************************************************************
//  University of Patras
//	Department of Electrical Engineering & Computer Technology
//
//	Course: Parallel Programming in AI
//	Week 04: OpenMp
//
//  Description: Simple examples  in openMP
//  	omp01.c: the hello work openmp version
//	Author: Evangelos Dermatas
//	v0.1
/*
*********************************************************************
gcc -v:	gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)
OS: 	Linux Ubuntu 18.04
CPU:	8-core, Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz, 3991 BogoMips
*********************************************************************
Compiling:	gcc omp01.c -o omp01 -fopenmp
Executing:	./omp01
Output in my Laptop:

Hello openMP world
Hello openMP world
Hello openMP world
Hello openMP world
Hello openMP world
Hello openMP world
Hello openMP world
Hello openMP world


*********************************************************************
Executing:	OMP_NUM_THREADS=3 ./omp01
Output in my Laptop:

Hello openMP world
Hello openMP world
Hello openMP world
*/
//************************************************************

#include <stdio.h>
#include <stdlib.h>
#include <omp.h>

// **************************************************************
int main(void) 
{
#pragma omp parallel
{
	printf( "Hello openMP world\n" ) ;
}

	return 0 ;
}
