//************************************************************
//  University of Patras
//	Department of Electrical Engineering & Computer Technology
//
//	Course: Parallel Programming in AI
//	Week 04: OpenMp
//
//  Description: Simple examples  in openMP
//  	omp05.c: the hello work openmp version
//	Author: Evangelos Dermatas
//	v0.1
/*
*********************************************************************
gcc -v:	gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)
OS: 	Linux Ubuntu 18.04
CPU:	8-core, Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz, 3991 BogoMips
*********************************************************************
Compiling:	gcc omp06.c -o omp06 -fopenmp
Executing:	./omp06
Output in my Laptop:

*/
//************************************************************

#include <stdio.h>
#include <stdlib.h>
#include <omp.h>

// **************************************************************
int main(void)
{
int k = 1, i=0 ;

#pragma omp parallel num_threads(5) default(shared)
{
#pragma omp for 
	for( i =0 ; i < 3 ; i++ )
		printf( "i=%d, k=%d\n", i, ++k ) ;
}
	printf( "The last value of k is %d\n", k ) ;

	return 0 ;
}
